> ## Documentation Index
> Fetch the complete documentation index at: https://kiflo-b3d3c9c0.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Issues a short-lived, HubSpot-scoped Kiflo access token.

> Called by a HubSpot App Card through `hubspot.fetch`, which appends `portalId`
and signs the request. The signature proves the request originates from HubSpot.



## OpenAPI

````yaml /openapi.json get /v3/hubspot/access-token
openapi: 3.0.1
info:
  title: Kiflo Public API v3
  description: "The Kiflo API allows you to have control over your integration and create the best experiences.\r\n\r\n***\r\n\r\n## Format\r\n\r\nThe API follows the REST standard using JSON to format requests and responses.  \r\nDecimals are formatted using invariant culture, ie: using \".\" (dot) as a decimal sperator and no thousands separator.  \r\nDates are formatted using ISO standards, in UTC format, including the timezone. Ex:  2015-03-25T12:00:00Z\r\n\r\n***\r\n\r\n## Security\r\n\r\nThe API is secured using an API token.\r\n\r\n**How to generate an API Access Token**  \r\n 1. Open your [account settings page](https://app.kiflo.com/account/integration)\r\n 2. Go to the \"API Access Token\" section\r\n 3. Click \"Add\" button\r\n 4. Choose a name that will be used to identify the token and click \"Add\"\r\n 4. Copy the generate token\r\n   \r\n> **Note:** For security reason, the generated API Access Token won't be visible after you close the settings page. Be sure to copy the generated token otherwise you won't be able to get it later.\r\n  \r\n**How to authenticate on the API**  \r\n  \r\nTo authenticate on the API, send the generated token in the Authorization header using the Bearer scheme:  \r\n`Authorization: Bearer #YOUR_GENERATED_TOKEN_HERE#`\r\n"
  version: v3
servers: []
security: []
paths:
  /v3/hubspot/access-token:
    get:
      tags:
        - HubSpot
      summary: Issues a short-lived, HubSpot-scoped Kiflo access token.
      description: "Called by a HubSpot App Card through `hubspot.fetch`, which appends `portalId`\r\nand signs the request. The signature proves the request originates from HubSpot."
      parameters:
        - name: portalId
          in: query
          schema:
            type: integer
            format: int64
        - name: userEmail
          in: query
          schema:
            type: string
      responses:
        '200':
          description: A short-lived access token was issued.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HubSpotGetAccessTokenResponseDto'
        '401':
          description: The request could not be verified or the portal is not connected.
components:
  schemas:
    HubSpotGetAccessTokenResponseDto:
      type: object
      properties:
        accessToken:
          type: string
          nullable: true
        expiresInSeconds:
          type: integer
          format: int64
        accountId:
          type: integer
          description: >-
            Account id of the Kiflo workspace the token was issued for, which
            identifies the workspace in the Kiflo app's URLs.
          format: int32
        permissions:
          type: array
          items:
            $ref: '#/components/schemas/Features'
          description: "The features relevant to the HubSpot app that the user this token was issued for actually holds.\r\nLets the app leave out an action the user would only be refused, and never grants anything: each endpoint still enforces its own policy."
          nullable: true
      additionalProperties: false
    Features:
      enum:
        - DealView
        - DealCreate
        - DealUpdate
        - DealDelete
        - DealUpdateStage
        - DealViewTotalAmount
        - DealRequestQuote
        - DealSetupChannelConflictsDetection
        - DealPartnerRoleView
        - DealPartnerRoleCreate
        - DealPartnerRoleUpdate
        - DealPartnerRoleAssign
        - DealPartnerRoleDelete
        - LeadView
        - LeadCreate
        - LeadUpdate
        - LeadDelete
        - LeadShare
        - LeadAccept
        - LeadRefuse
        - LeadConvert
        - LeadAbandon
        - LeadSetupChannelConflictsDetection
        - DealValidate
        - BusinessPlanCreate
        - BusinessPlanUpdate
        - BusinessPlanView
        - BusinessPlanDelete
        - BusinessPlanActivityCreate
        - BusinessPlanActivityUpdate
        - BusinessPlanActivityView
        - BusinessPlanActivityDelete
        - ProgramView
        - ProgramCreate
        - ProgramUpdate
        - ProgramDelete
        - ProgramLevelView
        - ProgramLevelCreate
        - ProgramLevelUpdate
        - ProgramLevelDelete
        - CertificationView
        - CertificationCreate
        - CertificationUpdate
        - CertificationDelete
        - TransactionView
        - TransactionCreate
        - TransactionUpdate
        - TransactionDelete
        - CustomerView
        - CustomerCreate
        - CustomerUpdate
        - CustomerDelete
        - NewsView
        - NewsCreate
        - NewsUpdate
        - NewsDelete
        - ExportCreate
        - CollectionView
        - CollectionCreate
        - CollectionUpdate
        - CollectionDelete
        - ArticleView
        - ArticleCreate
        - ArticleUpdate
        - ArticleDelete
        - IntegrationView
        - IntegrationCreate
        - IntegrationUpdate
        - IntegrationDelete
        - IntegrationSalesforce
        - PayoutView
        - PayoutCreate
        - PayoutUpdate
        - PayoutDelete
        - PayoutValidate
        - PayoutAccept
        - PayoutPay
        - PayoutExport
        - PayoutGet
        - PayoutSetupAutomaticCreation
        - LinkCreate
        - LinkUpdate
        - LinkView
        - LinkDelete
        - RewardDelete
        - RewardView
        - RewardValidate
        - RewardCreate
        - ProductView
        - ProductCreate
        - ProductUpdate
        - ProductDelete
        - ProductPriceView
        - ProductPriceCreate
        - ProductPriceUpdate
        - ProductPriceDelete
        - LineItemView
        - LineItemCreate
        - LineItemUpdate
        - LineItemDelete
        - TaskView
        - TaskCreate
        - TaskUpdate
        - TaskDelete
        - AccountDataReset
        - AccountDataInsert
        - AccountTenantSettingsUpdate
        - AccountSetupSSO
        - AccountPartnerSettingsUpdate
        - AccountSetupMfa
        - TeamMemberView
        - TeamMemberCreate
        - TeamMemberUpdate
        - TeamMemberDelete
        - PartnerView
        - PartnerCreate
        - PartnerUpdate
        - PartnerDelete
        - PartnerImpersonate
        - PartnerApplicationAccept
        - PartnerApplicationReject
        - GroupView
        - GroupCreate
        - GroupUpdate
        - GroupDelete
        - AssetView
        - AssetCreate
        - AssetUpdate
        - AssetDelete
        - AssetMove
        - AssetCobrandedView
        - AssetCobrandedCreate
        - CoworkerView
        - CoworkerCreate
        - CoworkerUpdate
        - CoworkerDelete
        - CoworkerAssignOwnerRole
        - CoworkerAssignAdminRole
        - CoworkerAssignUserRole
        - CoworkerAssignViewerRole
        - EmailTemplateView
        - EmailTemplateCreate
        - EmailTemplateUpdate
        - EmailTemplateDelete
        - DashboardView
        - DashboardCreate
        - DashboardUpdate
        - DashboardDelete
        - ViewCreateShared
        - TeamMemberCertificationView
        - TeamMemberCertificationCreate
        - TeamMemberCertificationUpdate
        - TeamMemberCertificationDelete
        - OnboardingView
        - OnboardingCreate
        - OnboardingUpdate
        - OnboardingDelete
        - OnboardingStageActionCreate
        - OnboardingStageActionUpdate
        - OnboardingStageActionChangeStatus
        - OnboardingStageActionDelete
        - OnboardingStageActionView
        - CommentCreate
        - CommentUpdate
        - CommentDelete
        - CommentView
        - WorkflowCreate
        - WorkflowUpdate
        - WorkflowUpdateStatus
        - WorkflowManageEnrollments
        - WorkflowDelete
        - WorkflowView
        - MeetingView
        - MeetingCreate
        - MeetingUpdate
        - MeetingDelete
        - NoteView
        - NoteCreate
        - NoteUpdate
        - NoteDelete
        - AttachmentView
        - AttachmentCreate
        - AttachmentDelete
        - BillingManage
        - EmailSend
        - DirectoryView
        - DirectoryCreate
        - DirectoryUpdate
        - DirectoryDelete
        - DirectoryProfileView
        - DirectoryProfileCreate
        - DirectoryProfileUpdate
        - DirectoryProfileDelete
        - SelfInvoicingView
        - SelfInvoicingManage
        - AccountMappingDataSourceView
        - AccountMappingDataSourceCreate
        - AccountMappingDataSourceUpdate
        - AccountMappingDataSourceDelete
        - AccountMappingAccountView
        - AccountMappingOverlapExport
        - AccountMappingCollaborationView
        - AccountMappingCollaborationCreate
        - AccountMappingCollaborationUpdate
        - AccountMappingCollaborationDelete
        - AccountMappingCollaborationRequestCreate
        - AddonCustomDomain
        - AddonPartnerDirectory
      type: string

````